#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kfirstpage.ui'
**
** Created: Thu Nov 13 22:42:29 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kfirstpage.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qframe.h>
#include <qlabel.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KFirstPage as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KFirstPage::KFirstPage( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KFirstPage" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)1, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( QSize( 700, 400 ) );
    KFirstPageLayout = new QGridLayout( this, 1, 1, 11, 6, "KFirstPageLayout"); 

    Frame3 = new QFrame( this, "Frame3" );
    Frame3->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, Frame3->sizePolicy().hasHeightForWidth() ) );
    Frame3->setMinimumSize( QSize( 0, 100 ) );
    Frame3->setFrameShape( QFrame::StyledPanel );
    Frame3->setFrameShadow( QFrame::Sunken );
    Frame3Layout = new QGridLayout( Frame3, 1, 1, 11, 6, "Frame3Layout"); 

    HelpText = new QLabel( Frame3, "HelpText" );
    HelpText->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter | QLabel::AlignLeft ) );

    Frame3Layout->addWidget( HelpText, 0, 0 );

    KFirstPageLayout->addWidget( Frame3, 0, 1 );

    LogoPixmap = new QLabel( this, "LogoPixmap" );
    LogoPixmap->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)5, 0, 0, LogoPixmap->sizePolicy().hasHeightForWidth() ) );
    LogoPixmap->setMinimumSize( QSize( 120, 320 ) );
    LogoPixmap->setFrameShape( QLabel::NoFrame );
    LogoPixmap->setFrameShadow( QLabel::Plain );
    LogoPixmap->setTextFormat( QLabel::PlainText );
    LogoPixmap->setScaledContents( TRUE );
    LogoPixmap->setAlignment( int( QLabel::AlignCenter ) );

    KFirstPageLayout->addMultiCellWidget( LogoPixmap, 0, 1, 0, 0 );

    ButtonGroup1 = new QButtonGroup( this, "ButtonGroup1" );
    ButtonGroup1->setColumnLayout(0, Qt::Vertical );
    ButtonGroup1->layout()->setSpacing( 6 );
    ButtonGroup1->layout()->setMargin( 11 );
    ButtonGroup1Layout = new QGridLayout( ButtonGroup1->layout() );
    ButtonGroup1Layout->setAlignment( Qt::AlignTop );
    spacer2 = new QSpacerItem( 20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ButtonGroup1Layout->addItem( spacer2, 0, 1 );
    spacer3 = new QSpacerItem( 20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ButtonGroup1Layout->addItem( spacer3, 4, 1 );

    StartNewBtn = new QRadioButton( ButtonGroup1, "StartNewBtn" );
    StartNewBtn->setChecked( TRUE );

    ButtonGroup1Layout->addMultiCellWidget( StartNewBtn, 1, 1, 0, 1 );
    spacer4 = new QSpacerItem( 20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ButtonGroup1Layout->addItem( spacer4, 2, 0 );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 

    OpenProjectBtn = new QRadioButton( ButtonGroup1, "OpenProjectBtn" );
    OpenProjectBtn->setEnabled( TRUE );
    layout3->addWidget( OpenProjectBtn );

    ButtonGroup1Layout->addMultiCellLayout( layout3, 3, 3, 0, 1 );

    KFirstPageLayout->addWidget( ButtonGroup1, 1, 1 );
    languageChange();
    resize( QSize(708, 512).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( StartNewBtn, OpenProjectBtn );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KFirstPage::~KFirstPage()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KFirstPage::languageChange()
{
    setCaption( tr2i18n( "First page" ) );
    HelpText->setText( tr2i18n( "Create new or open saved project." ) );
    LogoPixmap->setText( tr2i18n( "Logo" ) );
    ButtonGroup1->setTitle( QString::null );
    StartNewBtn->setText( tr2i18n( "&Create a new project" ) );
    StartNewBtn->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    QToolTip::add( StartNewBtn, tr2i18n( "Start the generation by using the default settings" ) );
    OpenProjectBtn->setText( tr2i18n( "&Open saved project" ) );
    OpenProjectBtn->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    QToolTip::add( OpenProjectBtn, tr2i18n( "Load a previously saved project, and modify it" ) );
}

#include "kfirstpage.moc"
