#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kimageoptionspage.ui'
**
** Created: Thu Nov 13 22:42:14 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kimageoptionspage.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qbuttongroup.h>
#include <qframe.h>
#include <qcombobox.h>
#include <qspinbox.h>
#include <qradiobutton.h>
#include <qcheckbox.h>
#include <qlineedit.h>
#include <qslider.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KImageOptionsPage as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KImageOptionsPage::KImageOptionsPage( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KImageOptionsPage" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)1, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( QSize( 700, 400 ) );
    KImageOptionsPageLayout = new QGridLayout( this, 1, 1, 11, 6, "KImageOptionsPageLayout"); 

    LogoPixmap = new QLabel( this, "LogoPixmap" );
    LogoPixmap->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)5, 0, 0, LogoPixmap->sizePolicy().hasHeightForWidth() ) );
    LogoPixmap->setMinimumSize( QSize( 120, 420 ) );
    LogoPixmap->setFrameShape( QLabel::NoFrame );
    LogoPixmap->setFrameShadow( QLabel::Plain );
    LogoPixmap->setTextFormat( QLabel::PlainText );
    LogoPixmap->setScaledContents( TRUE );
    LogoPixmap->setAlignment( int( QLabel::AlignCenter ) );

    KImageOptionsPageLayout->addWidget( LogoPixmap, 0, 0 );

    ButtonGroup1 = new QButtonGroup( this, "ButtonGroup1" );
    ButtonGroup1->setFrameShape( QButtonGroup::Box );
    ButtonGroup1->setFrameShadow( QButtonGroup::Sunken );
    ButtonGroup1->setColumnLayout(0, Qt::Vertical );
    ButtonGroup1->layout()->setSpacing( 6 );
    ButtonGroup1->layout()->setMargin( 11 );
    ButtonGroup1Layout = new QGridLayout( ButtonGroup1->layout() );
    ButtonGroup1Layout->setAlignment( Qt::AlignTop );

    ThumbFrame = new QFrame( ButtonGroup1, "ThumbFrame" );
    ThumbFrame->setFrameShape( QFrame::Box );
    ThumbFrame->setFrameShadow( QFrame::Raised );
    ThumbFrameLayout = new QGridLayout( ThumbFrame, 1, 1, 11, 6, "ThumbFrameLayout"); 

    ThumbImageFormat = new QComboBox( FALSE, ThumbFrame, "ThumbImageFormat" );
    ThumbImageFormat->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, ThumbImageFormat->sizePolicy().hasHeightForWidth() ) );

    ThumbFrameLayout->addMultiCellWidget( ThumbImageFormat, 0, 0, 1, 4 );

    ThumbDirLabel = new QLabel( ThumbFrame, "ThumbDirLabel" );
    ThumbDirLabel->setEnabled( TRUE );
    ThumbDirLabel->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    ThumbFrameLayout->addWidget( ThumbDirLabel, 0, 0 );

    TextLabel2 = new QLabel( ThumbFrame, "TextLabel2" );
    TextLabel2->setFrameShape( QLabel::NoFrame );
    TextLabel2->setFrameShadow( QLabel::Plain );
    TextLabel2->setAlignment( int( QLabel::AlignCenter ) );

    ThumbFrameLayout->addWidget( TextLabel2, 1, 2 );

    ThumbW = new QSpinBox( ThumbFrame, "ThumbW" );
    ThumbW->setMaxValue( 2048 );

    ThumbFrameLayout->addWidget( ThumbW, 1, 1 );

    ThumbH = new QSpinBox( ThumbFrame, "ThumbH" );
    ThumbH->setMaxValue( 2048 );

    ThumbFrameLayout->addWidget( ThumbH, 1, 3 );

    TextLabel3 = new QLabel( ThumbFrame, "TextLabel3" );

    ThumbFrameLayout->addWidget( TextLabel3, 1, 4 );

    TextLabel1_2 = new QLabel( ThumbFrame, "TextLabel1_2" );
    TextLabel1_2->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    ThumbFrameLayout->addWidget( TextLabel1_2, 1, 0 );

    ButtonGroup1Layout->addWidget( ThumbFrame, 0, 0 );

    ConvertFull = new QRadioButton( ButtonGroup1, "ConvertFull" );
    ConvertFull->setChecked( TRUE );

    ButtonGroup1Layout->addWidget( ConvertFull, 3, 0 );

    CopyFull = new QRadioButton( ButtonGroup1, "CopyFull" );

    ButtonGroup1Layout->addWidget( CopyFull, 2, 0 );

    UseExistingImages = new QRadioButton( ButtonGroup1, "UseExistingImages" );
    UseExistingImages->setChecked( FALSE );

    ButtonGroup1Layout->addWidget( UseExistingImages, 4, 0 );

    NoCopyConvertFull = new QRadioButton( ButtonGroup1, "NoCopyConvertFull" );

    ButtonGroup1Layout->addWidget( NoCopyConvertFull, 1, 0 );

    Frame4 = new QFrame( ButtonGroup1, "Frame4" );
    Frame4->setFrameShape( QFrame::Box );
    Frame4->setFrameShadow( QFrame::Raised );
    Frame4Layout = new QGridLayout( Frame4, 1, 1, 11, 6, "Frame4Layout"); 

    FullW = new QSpinBox( Frame4, "FullW" );
    FullW->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)4, (QSizePolicy::SizeType)0, 0, 0, FullW->sizePolicy().hasHeightForWidth() ) );
    FullW->setMaxValue( 2048 );

    Frame4Layout->addWidget( FullW, 1, 1 );

    Resize = new QCheckBox( Frame4, "Resize" );
    Resize->setChecked( TRUE );

    Frame4Layout->addWidget( Resize, 1, 0 );

    FullH = new QSpinBox( Frame4, "FullH" );
    FullH->setMaxValue( 2048 );

    Frame4Layout->addWidget( FullH, 1, 3 );

    TextLabel3_2 = new QLabel( Frame4, "TextLabel3_2" );

    Frame4Layout->addWidget( TextLabel3_2, 1, 4 );

    TextLabel2_3 = new QLabel( Frame4, "TextLabel2_3" );
    TextLabel2_3->setAlignment( int( QLabel::AlignCenter ) );

    Frame4Layout->addWidget( TextLabel2_3, 1, 2 );

    KeepAspect = new QCheckBox( Frame4, "KeepAspect" );
    KeepAspect->setChecked( TRUE );

    Frame4Layout->addMultiCellWidget( KeepAspect, 1, 1, 5, 6 );

    layout24 = new QGridLayout( 0, 1, 1, 0, 6, "layout24"); 

    TextLabel2_2 = new QLabel( Frame4, "TextLabel2_2" );
    TextLabel2_2->setEnabled( TRUE );
    TextLabel2_2->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    layout24->addWidget( TextLabel2_2, 0, 0 );

    FullImageFormat = new QComboBox( FALSE, Frame4, "FullImageFormat" );
    FullImageFormat->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, FullImageFormat->sizePolicy().hasHeightForWidth() ) );

    layout24->addWidget( FullImageFormat, 0, 1 );

    Frame4Layout->addMultiCellLayout( layout24, 0, 0, 0, 6 );

    OnlyLarger = new QCheckBox( Frame4, "OnlyLarger" );

    Frame4Layout->addMultiCellWidget( OnlyLarger, 2, 2, 3, 6 );

    InsertCopyright = new QCheckBox( Frame4, "InsertCopyright" );

    Frame4Layout->addMultiCellWidget( InsertCopyright, 2, 2, 0, 2 );

    CopyrightTxt = new QLineEdit( Frame4, "CopyrightTxt" );
    CopyrightTxt->setEnabled( FALSE );
    CopyrightTxt->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, CopyrightTxt->sizePolicy().hasHeightForWidth() ) );

    Frame4Layout->addMultiCellWidget( CopyrightTxt, 3, 3, 0, 6 );

    TextLabel1 = new QLabel( Frame4, "TextLabel1" );
    TextLabel1->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    Frame4Layout->addWidget( TextLabel1, 4, 0 );

    TextLabel2_4 = new QLabel( Frame4, "TextLabel2_4" );

    Frame4Layout->addWidget( TextLabel2_4, 4, 6 );

    QualitySlider = new QSlider( Frame4, "QualitySlider" );
    QualitySlider->setMaxValue( 100 );
    QualitySlider->setValue( 75 );
    QualitySlider->setOrientation( QSlider::Horizontal );

    Frame4Layout->addMultiCellWidget( QualitySlider, 4, 4, 1, 5 );

    QualityTxt = new QLabel( Frame4, "QualityTxt" );

    Frame4Layout->addWidget( QualityTxt, 5, 3 );

    ButtonGroup1Layout->addWidget( Frame4, 5, 0 );

    KImageOptionsPageLayout->addWidget( ButtonGroup1, 0, 1 );
    languageChange();
    resize( QSize(702, 519).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( InsertCopyright, SIGNAL( toggled(bool) ), CopyrightTxt, SLOT( setEnabled(bool) ) );
    connect( Resize, SIGNAL( toggled(bool) ), FullW, SLOT( setEnabled(bool) ) );
    connect( Resize, SIGNAL( toggled(bool) ), FullH, SLOT( setEnabled(bool) ) );
    connect( Resize, SIGNAL( toggled(bool) ), TextLabel2_3, SLOT( setEnabled(bool) ) );
    connect( Resize, SIGNAL( toggled(bool) ), TextLabel3_2, SLOT( setEnabled(bool) ) );
    connect( Resize, SIGNAL( toggled(bool) ), KeepAspect, SLOT( setEnabled(bool) ) );
    connect( ConvertFull, SIGNAL( toggled(bool) ), Frame4, SLOT( setEnabled(bool) ) );

    // tab order
    setTabOrder( ThumbImageFormat, ThumbW );
    setTabOrder( ThumbW, ThumbH );
    setTabOrder( ThumbH, ConvertFull );
    setTabOrder( ConvertFull, FullImageFormat );
    setTabOrder( FullImageFormat, Resize );
    setTabOrder( Resize, FullW );
    setTabOrder( FullW, FullH );
    setTabOrder( FullH, KeepAspect );
    setTabOrder( KeepAspect, InsertCopyright );
    setTabOrder( InsertCopyright, OnlyLarger );
    setTabOrder( OnlyLarger, CopyrightTxt );
    setTabOrder( CopyrightTxt, QualitySlider );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KImageOptionsPage::~KImageOptionsPage()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KImageOptionsPage::languageChange()
{
    setCaption( tr2i18n( "Image options page" ) );
    LogoPixmap->setText( tr2i18n( "Logo" ) );
    ButtonGroup1->setTitle( tr2i18n( "Options" ) );
    QToolTip::add( ThumbImageFormat, tr2i18n( "Save the thumbnails in this file format." ) );
    ThumbDirLabel->setText( tr2i18n( "Thumbnail file format:" ) );
    TextLabel2->setText( tr2i18n( "X" ) );
    QToolTip::add( ThumbW, tr2i18n( "The maximum width of the thumbnails." ) );
    QToolTip::add( ThumbH, tr2i18n( "The maximum height of the thumbnails." ) );
    TextLabel3->setText( tr2i18n( "pixels" ) );
    TextLabel1_2->setText( tr2i18n( "Thumbnail size:" ) );
    ConvertFull->setText( tr2i18n( "Convert fullsize images &as follows" ) );
    ConvertFull->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    QToolTip::add( ConvertFull, tr2i18n( "Copy the images to the fullsize image directory and convert them." ) );
    CopyFull->setText( tr2i18n( "&Copy the images to the target path without conversion" ) );
    CopyFull->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    QToolTip::add( CopyFull, tr2i18n( "Copy the images in their current form to the fullsize image directory." ) );
    UseExistingImages->setText( tr2i18n( "Use &existing images from the fullsize folder" ) );
    UseExistingImages->setAccel( QKeySequence( tr2i18n( "Alt+E" ) ) );
    QToolTip::add( UseExistingImages, tr2i18n( "Copy the images to the fullsize image directory and convert them." ) );
    NoCopyConvertFull->setText( tr2i18n( "&Link images from their original path" ) );
    NoCopyConvertFull->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
    QToolTip::add( NoCopyConvertFull, tr2i18n( "The images will be linked to the gallery from their current places, using absolute paths." ) );
    QToolTip::add( Frame4, tr2i18n( "Image conversion options." ) );
    QToolTip::add( FullW, tr2i18n( "The new width of the images." ) );
    Resize->setText( tr2i18n( "Set si&ze:" ) );
    QToolTip::add( Resize, tr2i18n( "Check this to modify the size of the images." ) );
    QToolTip::add( FullH, tr2i18n( "The new height of the images." ) );
    TextLabel3_2->setText( tr2i18n( "pixels" ) );
    TextLabel2_3->setText( tr2i18n( "X" ) );
    KeepAspect->setText( tr2i18n( "&Keep aspect ratio" ) );
    KeepAspect->setAccel( QKeySequence( tr2i18n( "Alt+K" ) ) );
    QToolTip::add( KeepAspect, tr2i18n( "Check this to not modify the aspect ratio of the images. In this case the width and height are maximum values." ) );
    TextLabel2_2->setText( tr2i18n( "Fullsize image format:" ) );
    QToolTip::add( FullImageFormat, tr2i18n( "Convert the images to this file format." ) );
    OnlyLarger->setText( tr2i18n( "Convert only if larger" ) );
    QToolTip::add( OnlyLarger, tr2i18n( "Check this, to only convert an image, if it is larger than your setted size. (Smaller images will not be converted.)" ) );
    InsertCopyright->setText( tr2i18n( "Insert copyright te&xt" ) );
    InsertCopyright->setAccel( QKeySequence( tr2i18n( "Alt+X" ) ) );
    QToolTip::add( InsertCopyright, tr2i18n( "Check this to put a small copyright message to the right-bottom part of the images." ) );
    QToolTip::add( CopyrightTxt, tr2i18n( "This text will be used as the copyright text." ) );
    TextLabel1->setText( tr2i18n( "Bad quality" ) );
    TextLabel2_4->setText( tr2i18n( "Good quality" ) );
    QToolTip::add( QualitySlider, tr2i18n( "Select the quality of the converted images. Valid only for some file formats." ) );
    QualityTxt->setText( tr2i18n( "[75%]" ) );
}

#include "kimageoptionspage.moc"
