#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kimagethumbpage.ui'
**
** Created: Thu Nov 13 22:42:26 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kimagethumbpage.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qbuttongroup.h>
#include <kpushbutton.h>
#include <qlistbox.h>
#include <qframe.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kpushbutton.h"

/*
 *  Constructs a KImageThumbPage as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KImageThumbPage::KImageThumbPage( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KImageThumbPage" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)1, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( QSize( 700, 400 ) );
    KImageThumbPageLayout = new QGridLayout( this, 1, 1, 11, 6, "KImageThumbPageLayout"); 

    LogoPixmap = new QLabel( this, "LogoPixmap" );
    LogoPixmap->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)5, 0, 0, LogoPixmap->sizePolicy().hasHeightForWidth() ) );
    LogoPixmap->setMinimumSize( QSize( 120, 420 ) );
    LogoPixmap->setFrameShape( QLabel::NoFrame );
    LogoPixmap->setFrameShadow( QLabel::Plain );
    LogoPixmap->setTextFormat( QLabel::PlainText );
    LogoPixmap->setScaledContents( TRUE );
    LogoPixmap->setAlignment( int( QLabel::AlignCenter ) );

    KImageThumbPageLayout->addMultiCellWidget( LogoPixmap, 0, 1, 0, 0 );

    ButtonGroup1 = new QButtonGroup( this, "ButtonGroup1" );
    ButtonGroup1->setColumnLayout(0, Qt::Vertical );
    ButtonGroup1->layout()->setSpacing( 6 );
    ButtonGroup1->layout()->setMargin( 11 );
    ButtonGroup1Layout = new QGridLayout( ButtonGroup1->layout() );
    ButtonGroup1Layout->setAlignment( Qt::AlignTop );

    layout10 = new QVBoxLayout( 0, 0, 6, "layout10"); 

    ImageTopBtn = new KPushButton( ButtonGroup1, "ImageTopBtn" );
    ImageTopBtn->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, ImageTopBtn->sizePolicy().hasHeightForWidth() ) );
    ImageTopBtn->setMinimumSize( QSize( 30, 30 ) );
    layout10->addWidget( ImageTopBtn );
    spacer6 = new QSpacerItem( 20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout10->addItem( spacer6 );

    ImageUpBtn = new KPushButton( ButtonGroup1, "ImageUpBtn" );
    ImageUpBtn->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, ImageUpBtn->sizePolicy().hasHeightForWidth() ) );
    ImageUpBtn->setMinimumSize( QSize( 30, 30 ) );
    layout10->addWidget( ImageUpBtn );

    ImageDownBtn = new KPushButton( ButtonGroup1, "ImageDownBtn" );
    ImageDownBtn->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, ImageDownBtn->sizePolicy().hasHeightForWidth() ) );
    ImageDownBtn->setMinimumSize( QSize( 30, 30 ) );
    layout10->addWidget( ImageDownBtn );
    spacer7 = new QSpacerItem( 20, 50, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout10->addItem( spacer7 );

    ImageBottomBtn = new KPushButton( ButtonGroup1, "ImageBottomBtn" );
    ImageBottomBtn->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, ImageBottomBtn->sizePolicy().hasHeightForWidth() ) );
    ImageBottomBtn->setMinimumSize( QSize( 30, 30 ) );
    layout10->addWidget( ImageBottomBtn );

    ButtonGroup1Layout->addLayout( layout10, 1, 0 );

    ImageListBox = new QListBox( ButtonGroup1, "ImageListBox" );
    ImageListBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, ImageListBox->sizePolicy().hasHeightForWidth() ) );

    ButtonGroup1Layout->addWidget( ImageListBox, 1, 1 );

    ThumbListBox = new QListBox( ButtonGroup1, "ThumbListBox" );

    ButtonGroup1Layout->addWidget( ThumbListBox, 1, 3 );

    layout11 = new QVBoxLayout( 0, 0, 6, "layout11"); 

    ThumbTopBtn = new KPushButton( ButtonGroup1, "ThumbTopBtn" );
    ThumbTopBtn->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, ThumbTopBtn->sizePolicy().hasHeightForWidth() ) );
    ThumbTopBtn->setMinimumSize( QSize( 30, 30 ) );
    layout11->addWidget( ThumbTopBtn );
    spacer8 = new QSpacerItem( 20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout11->addItem( spacer8 );

    ThumbUpBtn = new KPushButton( ButtonGroup1, "ThumbUpBtn" );
    ThumbUpBtn->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, ThumbUpBtn->sizePolicy().hasHeightForWidth() ) );
    ThumbUpBtn->setMinimumSize( QSize( 30, 30 ) );
    layout11->addWidget( ThumbUpBtn );

    ThumbDownBtn = new KPushButton( ButtonGroup1, "ThumbDownBtn" );
    ThumbDownBtn->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, ThumbDownBtn->sizePolicy().hasHeightForWidth() ) );
    ThumbDownBtn->setMinimumSize( QSize( 30, 30 ) );
    layout11->addWidget( ThumbDownBtn );
    spacer10 = new QSpacerItem( 20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout11->addItem( spacer10 );

    ThumbBottomBtn = new KPushButton( ButtonGroup1, "ThumbBottomBtn" );
    ThumbBottomBtn->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, ThumbBottomBtn->sizePolicy().hasHeightForWidth() ) );
    ThumbBottomBtn->setMinimumSize( QSize( 30, 30 ) );
    layout11->addWidget( ThumbBottomBtn );

    ButtonGroup1Layout->addLayout( layout11, 1, 4 );

    ThumbDirLabel = new QLabel( ButtonGroup1, "ThumbDirLabel" );
    ThumbDirLabel->setEnabled( TRUE );

    ButtonGroup1Layout->addWidget( ThumbDirLabel, 0, 1 );

    TextLabel2_2 = new QLabel( ButtonGroup1, "TextLabel2_2" );
    TextLabel2_2->setEnabled( TRUE );

    ButtonGroup1Layout->addWidget( TextLabel2_2, 0, 3 );

    line1 = new QFrame( ButtonGroup1, "line1" );
    line1->setFrameShape( QFrame::VLine );
    line1->setFrameShadow( QFrame::Sunken );
    line1->setFrameShape( QFrame::VLine );

    ButtonGroup1Layout->addWidget( line1, 1, 2 );

    KImageThumbPageLayout->addWidget( ButtonGroup1, 1, 1 );

    Frame3 = new QFrame( this, "Frame3" );
    Frame3->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, Frame3->sizePolicy().hasHeightForWidth() ) );
    Frame3->setMinimumSize( QSize( 0, 100 ) );
    Frame3->setFrameShape( QFrame::StyledPanel );
    Frame3->setFrameShadow( QFrame::Sunken );
    Frame3Layout = new QGridLayout( Frame3, 1, 1, 11, 6, "Frame3Layout"); 

    HelpText = new QLabel( Frame3, "HelpText" );
    HelpText->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter | QLabel::AlignLeft ) );

    Frame3Layout->addWidget( HelpText, 0, 0 );

    KImageThumbPageLayout->addWidget( Frame3, 0, 1 );
    languageChange();
    resize( QSize(708, 454).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( ImageListBox, ThumbListBox );
    setTabOrder( ThumbListBox, ImageTopBtn );
    setTabOrder( ImageTopBtn, ImageUpBtn );
    setTabOrder( ImageUpBtn, ImageDownBtn );
    setTabOrder( ImageDownBtn, ImageBottomBtn );
    setTabOrder( ImageBottomBtn, ThumbTopBtn );
    setTabOrder( ThumbTopBtn, ThumbUpBtn );
    setTabOrder( ThumbUpBtn, ThumbDownBtn );
    setTabOrder( ThumbDownBtn, ThumbBottomBtn );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KImageThumbPage::~KImageThumbPage()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KImageThumbPage::languageChange()
{
    setCaption( tr2i18n( "Image match page" ) );
    LogoPixmap->setText( tr2i18n( "Logo" ) );
    ButtonGroup1->setTitle( tr2i18n( "Operations" ) );
    ImageTopBtn->setText( tr2i18n( "&Top" ) );
    ImageTopBtn->setAccel( QKeySequence( tr2i18n( "Alt+T" ) ) );
    QToolTip::add( ImageTopBtn, tr2i18n( "Move the selected image to the top of the list." ) );
    ImageUpBtn->setText( tr2i18n( "&Up" ) );
    ImageUpBtn->setAccel( QKeySequence( tr2i18n( "Alt+U" ) ) );
    QToolTip::add( ImageUpBtn, tr2i18n( "Move the selected image one position up." ) );
    ImageDownBtn->setText( tr2i18n( "&Down" ) );
    ImageDownBtn->setAccel( QKeySequence( tr2i18n( "Alt+D" ) ) );
    QToolTip::add( ImageDownBtn, tr2i18n( "Move the selected image one position down." ) );
    ImageBottomBtn->setText( tr2i18n( "&Bottom" ) );
    ImageBottomBtn->setAccel( QKeySequence( tr2i18n( "Alt+B" ) ) );
    QToolTip::add( ImageBottomBtn, tr2i18n( "Move the selected image to the bottom of the list." ) );
    QToolTip::add( ImageListBox, tr2i18n( "The list of the loaded images" ) );
    QToolTip::add( ThumbListBox, tr2i18n( "The list of the loaded thumbnails." ) );
    ThumbTopBtn->setText( tr2i18n( "T&op" ) );
    ThumbTopBtn->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    QToolTip::add( ThumbTopBtn, tr2i18n( "Move the selected thumbnail to the top of the list." ) );
    ThumbUpBtn->setText( tr2i18n( "U&p" ) );
    ThumbUpBtn->setAccel( QKeySequence( tr2i18n( "Alt+P" ) ) );
    QToolTip::add( ThumbUpBtn, tr2i18n( "Move the selected thumbnail one position up." ) );
    ThumbDownBtn->setText( tr2i18n( "Do&wn" ) );
    ThumbDownBtn->setAccel( QKeySequence( tr2i18n( "Alt+W" ) ) );
    QToolTip::add( ThumbDownBtn, tr2i18n( "Move the selected thumbnail one position down." ) );
    ThumbBottomBtn->setText( tr2i18n( "Botto&m" ) );
    ThumbBottomBtn->setAccel( QKeySequence( tr2i18n( "Alt+M" ) ) );
    QToolTip::add( ThumbBottomBtn, tr2i18n( "Move the selected thumbnail to the bottom of the list." ) );
    ThumbDirLabel->setText( tr2i18n( "Image list" ) );
    TextLabel2_2->setText( tr2i18n( "Thumbnail list" ) );
    HelpText->setText( tr2i18n( "Match the selected images and thumbnails, and specify their orders." ) );
}

#include "kimagethumbpage.moc"
