#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './ktargetpath.ui'
**
** Created: Thu Nov 13 22:42:21 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "ktargetpath.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qframe.h>
#include <qlabel.h>
#include <qbuttongroup.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KTargetPathPage as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KTargetPathPage::KTargetPathPage( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KTargetPathPage" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)1, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( QSize( 700, 400 ) );
    KTargetPathPageLayout = new QGridLayout( this, 1, 1, 11, 6, "KTargetPathPageLayout"); 

    Frame3 = new QFrame( this, "Frame3" );
    Frame3->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, Frame3->sizePolicy().hasHeightForWidth() ) );
    Frame3->setMinimumSize( QSize( 0, 100 ) );
    Frame3->setFrameShape( QFrame::StyledPanel );
    Frame3->setFrameShadow( QFrame::Sunken );
    Frame3Layout = new QGridLayout( Frame3, 1, 1, 11, 6, "Frame3Layout"); 

    HelpText = new QLabel( Frame3, "HelpText" );
    HelpText->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, HelpText->sizePolicy().hasHeightForWidth() ) );
    HelpText->setMinimumSize( QSize( 0, 0 ) );
    HelpText->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter | QLabel::AlignLeft ) );

    Frame3Layout->addWidget( HelpText, 0, 0 );

    KTargetPathPageLayout->addWidget( Frame3, 0, 1 );

    ButtonGroup1 = new QButtonGroup( this, "ButtonGroup1" );
    ButtonGroup1->setColumnLayout(0, Qt::Vertical );
    ButtonGroup1->layout()->setSpacing( 6 );
    ButtonGroup1->layout()->setMargin( 11 );
    ButtonGroup1Layout = new QGridLayout( ButtonGroup1->layout() );
    ButtonGroup1Layout->setAlignment( Qt::AlignTop );

    ThumbDirText = new QLineEdit( ButtonGroup1, "ThumbDirText" );

    ButtonGroup1Layout->addWidget( ThumbDirText, 3, 0 );

    ThumbDirSelBtn = new QPushButton( ButtonGroup1, "ThumbDirSelBtn" );

    ButtonGroup1Layout->addWidget( ThumbDirSelBtn, 3, 1 );

    ImageDirText = new QLineEdit( ButtonGroup1, "ImageDirText" );

    ButtonGroup1Layout->addWidget( ImageDirText, 5, 0 );

    ImageDirSelBtn = new QPushButton( ButtonGroup1, "ImageDirSelBtn" );

    ButtonGroup1Layout->addWidget( ImageDirSelBtn, 5, 1 );

    ThumbDirLabel = new QLabel( ButtonGroup1, "ThumbDirLabel" );
    ThumbDirLabel->setEnabled( TRUE );
    ThumbDirLabel->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignLeft ) );

    ButtonGroup1Layout->addWidget( ThumbDirLabel, 2, 0 );

    GalleryText = new QLineEdit( ButtonGroup1, "GalleryText" );

    ButtonGroup1Layout->addWidget( GalleryText, 1, 0 );

    TextLabel1 = new QLabel( ButtonGroup1, "TextLabel1" );

    ButtonGroup1Layout->addWidget( TextLabel1, 0, 0 );

    TextLabel2_2 = new QLabel( ButtonGroup1, "TextLabel2_2" );
    TextLabel2_2->setEnabled( TRUE );
    TextLabel2_2->setFrameShape( QLabel::MShape );
    TextLabel2_2->setFrameShadow( QLabel::MShadow );
    TextLabel2_2->setTextFormat( QLabel::AutoText );
    TextLabel2_2->setScaledContents( FALSE );
    TextLabel2_2->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignLeft ) );

    ButtonGroup1Layout->addWidget( TextLabel2_2, 4, 0 );

    GallerySelBtn = new QPushButton( ButtonGroup1, "GallerySelBtn" );

    ButtonGroup1Layout->addWidget( GallerySelBtn, 1, 1 );

    AbsolutePaths = new QCheckBox( ButtonGroup1, "AbsolutePaths" );

    ButtonGroup1Layout->addWidget( AbsolutePaths, 6, 0 );

    KTargetPathPageLayout->addWidget( ButtonGroup1, 1, 1 );

    LogoPixmap = new QLabel( this, "LogoPixmap" );
    LogoPixmap->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)5, 0, 0, LogoPixmap->sizePolicy().hasHeightForWidth() ) );
    LogoPixmap->setMinimumSize( QSize( 120, 420 ) );
    LogoPixmap->setFrameShape( QLabel::NoFrame );
    LogoPixmap->setFrameShadow( QLabel::Plain );
    LogoPixmap->setTextFormat( QLabel::PlainText );
    LogoPixmap->setScaledContents( TRUE );
    LogoPixmap->setAlignment( int( QLabel::AlignCenter ) );

    KTargetPathPageLayout->addMultiCellWidget( LogoPixmap, 0, 1, 0, 0 );
    languageChange();
    resize( QSize(727, 441).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( GalleryText, GallerySelBtn );
    setTabOrder( GallerySelBtn, ThumbDirText );
    setTabOrder( ThumbDirText, ThumbDirSelBtn );
    setTabOrder( ThumbDirSelBtn, ImageDirText );
    setTabOrder( ImageDirText, ImageDirSelBtn );
    setTabOrder( ImageDirSelBtn, AbsolutePaths );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KTargetPathPage::~KTargetPathPage()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KTargetPathPage::languageChange()
{
    setCaption( tr2i18n( "Target paths page" ) );
    HelpText->setText( tr2i18n( "Select the target paths and the gallery file name." ) );
    ButtonGroup1->setTitle( tr2i18n( "Paths" ) );
    QToolTip::add( ThumbDirText, tr2i18n( "The thumbnail images will go here" ) );
    ThumbDirSelBtn->setText( QString::null );
    QToolTip::add( ThumbDirSelBtn, tr2i18n( "Select a directory" ) );
    QToolTip::add( ImageDirText, tr2i18n( "The fullsize images will go here" ) );
    ImageDirSelBtn->setText( QString::null );
    QToolTip::add( ImageDirSelBtn, tr2i18n( "Select a directory" ) );
    ThumbDirLabel->setText( tr2i18n( "Thumbnail folder:" ) );
    QToolTip::add( GalleryText, tr2i18n( "The desired gallery file, including the path." ) );
    TextLabel1->setText( tr2i18n( "Output gallery file name:" ) );
    TextLabel2_2->setText( tr2i18n( "Fullsize image folder:" ) );
    GallerySelBtn->setText( QString::null );
    QToolTip::add( GallerySelBtn, tr2i18n( "Select a gallery file" ) );
    AbsolutePaths->setText( tr2i18n( "Use absolute paths in the links" ) );
    QToolTip::add( AbsolutePaths, tr2i18n( "Use absolute paths in the generated htmls and in the project file." ) );
    QWhatsThis::add( AbsolutePaths, tr2i18n( "By default the links in the generated html files do not point to the exact location of the images on your system, but they contain a relative path to the current place. This means that your generated gallery will work correctly even if you move the files to another computer or directory. Unfortunately this might not be true if you have chose the thumbnail or fullsize image folder to be outside of the main gallery folder, so the recommended setup is to set them to be subfolders of the main gallery folder." ) );
    LogoPixmap->setText( tr2i18n( "Logo" ) );
}

#include "ktargetpath.moc"
