#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kdescsourcepage.ui'
**
** Created: Thu Nov 13 22:42:11 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kdescsourcepage.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <kpushbutton.h>
#include <qwidgetstack.h>
#include <qgroupbox.h>
#include <qmultilineedit.h>
#include <qcheckbox.h>
#include <qframe.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kpushbutton.h"

/*
 *  Constructs a KDescSourcePage as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KDescSourcePage::KDescSourcePage( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KDescSourcePage" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)1, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( QSize( 700, 400 ) );
    KDescSourcePageLayout = new QGridLayout( this, 1, 1, 11, 6, "KDescSourcePageLayout"); 

    LogoPixmap = new QLabel( this, "LogoPixmap" );
    LogoPixmap->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)5, 0, 0, LogoPixmap->sizePolicy().hasHeightForWidth() ) );
    LogoPixmap->setMinimumSize( QSize( 120, 420 ) );
    LogoPixmap->setFrameShape( QLabel::NoFrame );
    LogoPixmap->setFrameShadow( QLabel::Plain );
    LogoPixmap->setTextFormat( QLabel::PlainText );
    LogoPixmap->setScaledContents( TRUE );
    LogoPixmap->setAlignment( int( QLabel::AlignCenter ) );

    KDescSourcePageLayout->addMultiCellWidget( LogoPixmap, 0, 1, 0, 0 );

    ButtonGroup1 = new QButtonGroup( this, "ButtonGroup1" );
    ButtonGroup1->setColumnLayout(0, Qt::Vertical );
    ButtonGroup1->layout()->setSpacing( 6 );
    ButtonGroup1->layout()->setMargin( 11 );
    ButtonGroup1Layout = new QGridLayout( ButtonGroup1->layout() );
    ButtonGroup1Layout->setAlignment( Qt::AlignTop );

    EnterDescBtn = new QRadioButton( ButtonGroup1, "EnterDescBtn" );

    ButtonGroup1Layout->addMultiCellWidget( EnterDescBtn, 0, 0, 0, 1 );

    NoDescBtn = new QRadioButton( ButtonGroup1, "NoDescBtn" );

    ButtonGroup1Layout->addWidget( NoDescBtn, 1, 2 );

    LoadDescBtn = new QRadioButton( ButtonGroup1, "LoadDescBtn" );
    LoadDescBtn->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, LoadDescBtn->sizePolicy().hasHeightForWidth() ) );
    LoadDescBtn->setMinimumSize( QSize( 0, 0 ) );

    ButtonGroup1Layout->addWidget( LoadDescBtn, 1, 0 );

    DescSelBtn = new KPushButton( ButtonGroup1, "DescSelBtn" );
    DescSelBtn->setEnabled( FALSE );
    DescSelBtn->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, DescSelBtn->sizePolicy().hasHeightForWidth() ) );

    ButtonGroup1Layout->addWidget( DescSelBtn, 1, 1 );

    ImageInfoDescBtn = new QRadioButton( ButtonGroup1, "ImageInfoDescBtn" );
    ImageInfoDescBtn->setChecked( TRUE );

    ButtonGroup1Layout->addWidget( ImageInfoDescBtn, 0, 2 );

    widgetStack = new QWidgetStack( ButtonGroup1, "widgetStack" );
    widgetStack->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)7, 0, 0, widgetStack->sizePolicy().hasHeightForWidth() ) );

    WStackPage = new QWidget( widgetStack, "WStackPage" );
    WStackPageLayout = new QGridLayout( WStackPage, 1, 1, 11, 6, "WStackPageLayout"); 

    GroupBox1 = new QGroupBox( WStackPage, "GroupBox1" );
    GroupBox1->setEnabled( FALSE );
    GroupBox1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, GroupBox1->sizePolicy().hasHeightForWidth() ) );
    GroupBox1->setColumnLayout(0, Qt::Vertical );
    GroupBox1->layout()->setSpacing( 6 );
    GroupBox1->layout()->setMargin( 11 );
    GroupBox1Layout = new QGridLayout( GroupBox1->layout() );
    GroupBox1Layout->setAlignment( Qt::AlignTop );

    ImageNameTxt = new QLabel( GroupBox1, "ImageNameTxt" );
    ImageNameTxt->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)4, 0, 0, ImageNameTxt->sizePolicy().hasHeightForWidth() ) );

    GroupBox1Layout->addWidget( ImageNameTxt, 0, 0 );

    DescEdit = new QMultiLineEdit( GroupBox1, "DescEdit" );
    DescEdit->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, DescEdit->sizePolicy().hasHeightForWidth() ) );
    DescEdit->setWordWrap( QMultiLineEdit::WidgetWidth );

    GroupBox1Layout->addMultiCellWidget( DescEdit, 1, 3, 0, 0 );

    descPixmap = new QLabel( GroupBox1, "descPixmap" );
    descPixmap->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, descPixmap->sizePolicy().hasHeightForWidth() ) );
    descPixmap->setMaximumSize( QSize( 400, 300 ) );
    descPixmap->setFrameShape( QLabel::PopupPanel );
    descPixmap->setFrameShadow( QLabel::Sunken );
    descPixmap->setTextFormat( QLabel::AutoText );
    descPixmap->setScaledContents( FALSE );
    descPixmap->setAlignment( int( QLabel::AlignCenter ) );

    GroupBox1Layout->addMultiCellWidget( descPixmap, 0, 1, 1, 1 );

    NextDescBtn = new KPushButton( GroupBox1, "NextDescBtn" );
    NextDescBtn->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, NextDescBtn->sizePolicy().hasHeightForWidth() ) );

    GroupBox1Layout->addWidget( NextDescBtn, 2, 1 );

    PrevDescBtn = new KPushButton( GroupBox1, "PrevDescBtn" );
    PrevDescBtn->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, PrevDescBtn->sizePolicy().hasHeightForWidth() ) );

    GroupBox1Layout->addWidget( PrevDescBtn, 3, 1 );

    WStackPageLayout->addWidget( GroupBox1, 0, 0 );
    widgetStack->addWidget( WStackPage, 0 );

    WStackPage_2 = new QWidget( widgetStack, "WStackPage_2" );
    WStackPageLayout_2 = new QGridLayout( WStackPage_2, 1, 1, 11, 6, "WStackPageLayout_2"); 

    buttonGroup2 = new QButtonGroup( WStackPage_2, "buttonGroup2" );
    buttonGroup2->setColumnLayout(0, Qt::Vertical );
    buttonGroup2->layout()->setSpacing( 6 );
    buttonGroup2->layout()->setMargin( 11 );
    buttonGroup2Layout = new QGridLayout( buttonGroup2->layout() );
    buttonGroup2Layout->setAlignment( Qt::AlignTop );

    ImageDimension = new QCheckBox( buttonGroup2, "ImageDimension" );

    buttonGroup2Layout->addWidget( ImageDimension, 2, 0 );

    FileSize = new QCheckBox( buttonGroup2, "FileSize" );

    buttonGroup2Layout->addWidget( FileSize, 1, 0 );

    ImageComment = new QCheckBox( buttonGroup2, "ImageComment" );
    ImageComment->setChecked( TRUE );

    buttonGroup2Layout->addWidget( ImageComment, 0, 0 );

    ShootingDate = new QCheckBox( buttonGroup2, "ShootingDate" );

    buttonGroup2Layout->addWidget( ShootingDate, 3, 0 );

    ExposureInfo = new QCheckBox( buttonGroup2, "ExposureInfo" );

    buttonGroup2Layout->addWidget( ExposureInfo, 4, 0 );

    WStackPageLayout_2->addWidget( buttonGroup2, 0, 0 );
    widgetStack->addWidget( WStackPage_2, 1 );

    ButtonGroup1Layout->addMultiCellWidget( widgetStack, 2, 2, 0, 2 );

    KDescSourcePageLayout->addWidget( ButtonGroup1, 1, 1 );

    Frame3 = new QFrame( this, "Frame3" );
    Frame3->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, Frame3->sizePolicy().hasHeightForWidth() ) );
    Frame3->setMinimumSize( QSize( 0, 100 ) );
    Frame3->setFrameShape( QFrame::StyledPanel );
    Frame3->setFrameShadow( QFrame::Sunken );
    Frame3Layout = new QGridLayout( Frame3, 1, 1, 11, 6, "Frame3Layout"); 

    HelpText = new QLabel( Frame3, "HelpText" );
    HelpText->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, HelpText->sizePolicy().hasHeightForWidth() ) );
    HelpText->setMinimumSize( QSize( 0, 100 ) );
    HelpText->setScaledContents( TRUE );
    HelpText->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter | QLabel::AlignLeft ) );

    Frame3Layout->addWidget( HelpText, 0, 0 );

    KDescSourcePageLayout->addWidget( Frame3, 0, 1 );
    languageChange();
    resize( QSize(805, 550).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( EnterDescBtn, SIGNAL( toggled(bool) ), GroupBox1, SLOT( setEnabled(bool) ) );
    connect( LoadDescBtn, SIGNAL( toggled(bool) ), DescSelBtn, SLOT( setEnabled(bool) ) );

    // tab order
    setTabOrder( ImageInfoDescBtn, DescSelBtn );
    setTabOrder( DescSelBtn, DescEdit );
    setTabOrder( DescEdit, NextDescBtn );
    setTabOrder( NextDescBtn, PrevDescBtn );
    setTabOrder( PrevDescBtn, ImageComment );
    setTabOrder( ImageComment, FileSize );
    setTabOrder( FileSize, ImageDimension );
    setTabOrder( ImageDimension, ShootingDate );
    setTabOrder( ShootingDate, ExposureInfo );
    setTabOrder( ExposureInfo, LoadDescBtn );
    setTabOrder( LoadDescBtn, NoDescBtn );
    setTabOrder( NoDescBtn, EnterDescBtn );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KDescSourcePage::~KDescSourcePage()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KDescSourcePage::languageChange()
{
    setCaption( tr2i18n( "Select descriptions page" ) );
    LogoPixmap->setText( tr2i18n( "Logo" ) );
    ButtonGroup1->setTitle( tr2i18n( "Operations" ) );
    EnterDescBtn->setText( tr2i18n( "&Edit the descriptions" ) );
    EnterDescBtn->setAccel( QKeySequence( tr2i18n( "Alt+E" ) ) );
    QToolTip::add( EnterDescBtn, tr2i18n( "Enter or change the descriptions" ) );
    NoDescBtn->setText( tr2i18n( "Do no&t use descriptions" ) );
    NoDescBtn->setAccel( QKeySequence( tr2i18n( "Alt+T" ) ) );
    QToolTip::add( NoDescBtn, tr2i18n( "No descriptions at all" ) );
    LoadDescBtn->setText( tr2i18n( "&Load descriptions" ) );
    LoadDescBtn->setAccel( QKeySequence( tr2i18n( "Alt+L" ) ) );
    QToolTip::add( LoadDescBtn, tr2i18n( "Load the descriptions from a text file" ) );
    DescSelBtn->setText( QString::null );
    ImageInfoDescBtn->setText( tr2i18n( "Read &information from the images" ) );
    ImageInfoDescBtn->setAccel( QKeySequence( tr2i18n( "Alt+I" ) ) );
    QToolTip::add( ImageInfoDescBtn, tr2i18n( "Automatically generate the descriptions from the filename" ) );
    GroupBox1->setTitle( tr2i18n( "Description editor" ) );
    ImageNameTxt->setText( tr2i18n( "Describe the image:" ) );
    QToolTip::add( DescEdit, tr2i18n( "You can enter the descriptions here" ) );
    NextDescBtn->setText( tr2i18n( "&Next image" ) );
    NextDescBtn->setAccel( QKeySequence( tr2i18n( "Alt+N" ) ) );
    QToolTip::add( NextDescBtn, tr2i18n( "Go to the next image, and describe it" ) );
    PrevDescBtn->setText( tr2i18n( "Pre&vious image" ) );
    PrevDescBtn->setAccel( QKeySequence( tr2i18n( "Alt+V" ) ) );
    QToolTip::add( PrevDescBtn, tr2i18n( "Go to the previous image and describe it" ) );
    buttonGroup2->setTitle( tr2i18n( "Include fields" ) );
    ImageDimension->setText( tr2i18n( "Image dimensions" ) );
    FileSize->setText( tr2i18n( "File size" ) );
    ImageComment->setText( tr2i18n( "Image comment" ) );
    ShootingDate->setText( tr2i18n( "Shooting date" ) );
    ExposureInfo->setText( tr2i18n( "Exposure information" ) );
    HelpText->setText( tr2i18n( "Enter the description for each image, or load the descriptions from a file. You can also choose to have the filenames as description, or to not have descriptions at all." ) );
}

#include "kdescsourcepage.moc"
