#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './klastpage.ui'
**
** Created: Thu Nov 13 22:42:25 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "klastpage.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qgroupbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KLastPage as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KLastPage::KLastPage( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KLastPage" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)3, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( QSize( 700, 400 ) );
    KLastPageLayout = new QGridLayout( this, 1, 1, 11, 6, "KLastPageLayout"); 

    LogoPixmap = new QLabel( this, "LogoPixmap" );
    LogoPixmap->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)5, 0, 0, LogoPixmap->sizePolicy().hasHeightForWidth() ) );
    LogoPixmap->setMinimumSize( QSize( 120, 420 ) );
    LogoPixmap->setFrameShape( QLabel::NoFrame );
    LogoPixmap->setFrameShadow( QLabel::Plain );
    LogoPixmap->setTextFormat( QLabel::PlainText );
    LogoPixmap->setScaledContents( TRUE );
    LogoPixmap->setAlignment( int( QLabel::AlignCenter ) );

    KLastPageLayout->addWidget( LogoPixmap, 0, 0 );

    GroupBox1 = new QGroupBox( this, "GroupBox1" );
    GroupBox1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)5, 0, 0, GroupBox1->sizePolicy().hasHeightForWidth() ) );
    GroupBox1->setColumnLayout(0, Qt::Vertical );
    GroupBox1->layout()->setSpacing( 6 );
    GroupBox1->layout()->setMargin( 11 );
    GroupBox1Layout = new QGridLayout( GroupBox1->layout() );
    GroupBox1Layout->setAlignment( Qt::AlignTop );

    ThumbOptionsTxt = new QLabel( GroupBox1, "ThumbOptionsTxt" );

    GroupBox1Layout->addMultiCellWidget( ThumbOptionsTxt, 3, 3, 0, 1 );

    ImageHtmlTxt = new QLabel( GroupBox1, "ImageHtmlTxt" );

    GroupBox1Layout->addMultiCellWidget( ImageHtmlTxt, 9, 9, 0, 1 );

    GalleryTitleTxt = new QLabel( GroupBox1, "GalleryTitleTxt" );

    GroupBox1Layout->addMultiCellWidget( GalleryTitleTxt, 0, 0, 0, 1 );

    ThumbTxt = new QLabel( GroupBox1, "ThumbTxt" );

    GroupBox1Layout->addMultiCellWidget( ThumbTxt, 4, 4, 0, 1 );

    FullsizeTxt = new QLabel( GroupBox1, "FullsizeTxt" );

    GroupBox1Layout->addMultiCellWidget( FullsizeTxt, 5, 5, 0, 1 );

    ColumnNumTxt = new QLabel( GroupBox1, "ColumnNumTxt" );

    GroupBox1Layout->addWidget( ColumnNumTxt, 7, 0 );

    LanguageTxt = new QLabel( GroupBox1, "LanguageTxt" );

    GroupBox1Layout->addWidget( LanguageTxt, 2, 0 );

    GalleryCSSTxt = new QLabel( GroupBox1, "GalleryCSSTxt" );

    GroupBox1Layout->addMultiCellWidget( GalleryCSSTxt, 11, 11, 0, 1 );

    GalleryTxt = new QLabel( GroupBox1, "GalleryTxt" );

    GroupBox1Layout->addMultiCellWidget( GalleryTxt, 1, 1, 0, 1 );

    CopyrightTxt = new QLabel( GroupBox1, "CopyrightTxt" );

    GroupBox1Layout->addMultiCellWidget( CopyrightTxt, 8, 8, 0, 1 );

    RelativeTxt = new QLabel( GroupBox1, "RelativeTxt" );

    GroupBox1Layout->addMultiCellWidget( RelativeTxt, 6, 6, 0, 1 );

    ButtonsTxt = new QLabel( GroupBox1, "ButtonsTxt" );

    GroupBox1Layout->addMultiCellWidget( ButtonsTxt, 10, 10, 0, 1 );

    ImageNumTxt = new QLabel( GroupBox1, "ImageNumTxt" );

    GroupBox1Layout->addWidget( ImageNumTxt, 7, 1 );

    EncodingTxt = new QLabel( GroupBox1, "EncodingTxt" );

    GroupBox1Layout->addWidget( EncodingTxt, 2, 1 );

    ImageCSSTxt = new QLabel( GroupBox1, "ImageCSSTxt" );

    GroupBox1Layout->addMultiCellWidget( ImageCSSTxt, 12, 12, 0, 1 );

    KLastPageLayout->addWidget( GroupBox1, 0, 1 );
    languageChange();
    resize( QSize(700, 468).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KLastPage::~KLastPage()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KLastPage::languageChange()
{
    setCaption( tr2i18n( "Last page" ) );
    LogoPixmap->setText( tr2i18n( "Logo" ) );
    GroupBox1->setTitle( tr2i18n( "Review the options" ) );
    ThumbOptionsTxt->setText( tr2i18n( "Thumbnails:" ) );
    ImageHtmlTxt->setText( tr2i18n( "Generate image htmls:" ) );
    GalleryTitleTxt->setText( tr2i18n( "Gallery title:" ) );
    ThumbTxt->setText( tr2i18n( "Tumbnail folder:" ) );
    FullsizeTxt->setText( tr2i18n( "Fullsize folder:" ) );
    ColumnNumTxt->setText( tr2i18n( "Columns:" ) );
    LanguageTxt->setText( tr2i18n( "Country:" ) );
    GalleryCSSTxt->setText( tr2i18n( "Gallery CSS file:" ) );
    GalleryTxt->setText( tr2i18n( "Gallery file:" ) );
    CopyrightTxt->setText( tr2i18n( "Copyright:" ) );
    RelativeTxt->setText( tr2i18n( "Use relative paths:" ) );
    ButtonsTxt->setText( tr2i18n( "Buttons:" ) );
    ImageNumTxt->setText( tr2i18n( "Number of images:" ) );
    EncodingTxt->setText( tr2i18n( "Encoding:" ) );
    ImageCSSTxt->setText( tr2i18n( "Image CSS file:" ) );
}

#include "klastpage.moc"
