#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kthumbsourcepage.ui'
**
** Created: Thu Nov 13 22:42:19 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kthumbsourcepage.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qlabel.h>
#include <qradiobutton.h>
#include <qlistbox.h>
#include <qframe.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KThumbSourcePage as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KThumbSourcePage::KThumbSourcePage( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KThumbSourcePage" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)1, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( QSize( 700, 400 ) );
    KThumbSourcePageLayout = new QGridLayout( this, 1, 1, 11, 6, "KThumbSourcePageLayout"); 

    ButtonGroup1 = new QButtonGroup( this, "ButtonGroup1" );
    ButtonGroup1->setColumnLayout(0, Qt::Vertical );
    ButtonGroup1->layout()->setSpacing( 6 );
    ButtonGroup1->layout()->setMargin( 11 );
    ButtonGroup1Layout = new QGridLayout( ButtonGroup1->layout() );
    ButtonGroup1Layout->setAlignment( Qt::AlignTop );

    AddBtn = new QPushButton( ButtonGroup1, "AddBtn" );
    AddBtn->setEnabled( FALSE );

    ButtonGroup1Layout->addWidget( AddBtn, 1, 1 );

    DeleteBtn = new QPushButton( ButtonGroup1, "DeleteBtn" );
    DeleteBtn->setEnabled( FALSE );

    ButtonGroup1Layout->addWidget( DeleteBtn, 1, 3 );

    layout12 = new QGridLayout( 0, 1, 1, 0, 6, "layout12"); 

    ImageNumTxt = new QLabel( ButtonGroup1, "ImageNumTxt" );
    ImageNumTxt->setEnabled( FALSE );
    ImageNumTxt->setTextFormat( QLabel::AutoText );
    ImageNumTxt->setScaledContents( FALSE );
    ImageNumTxt->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    layout12->addWidget( ImageNumTxt, 1, 1 );

    NoThumbBtn = new QRadioButton( ButtonGroup1, "NoThumbBtn" );

    layout12->addWidget( NoThumbBtn, 0, 1 );

    GenerateThumbBtn = new QRadioButton( ButtonGroup1, "GenerateThumbBtn" );
    GenerateThumbBtn->setChecked( TRUE );

    layout12->addWidget( GenerateThumbBtn, 0, 0 );

    LoadThumbBtn = new QRadioButton( ButtonGroup1, "LoadThumbBtn" );

    layout12->addWidget( LoadThumbBtn, 1, 0 );

    ImageListBox = new QListBox( ButtonGroup1, "ImageListBox" );
    ImageListBox->setEnabled( FALSE );

    layout12->addMultiCellWidget( ImageListBox, 2, 2, 0, 1 );

    ButtonGroup1Layout->addMultiCellLayout( layout12, 0, 0, 0, 4 );
    spacer21 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    ButtonGroup1Layout->addItem( spacer21, 1, 0 );
    spacer23 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    ButtonGroup1Layout->addItem( spacer23, 1, 2 );
    spacer22 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    ButtonGroup1Layout->addItem( spacer22, 1, 4 );

    KThumbSourcePageLayout->addMultiCellWidget( ButtonGroup1, 1, 1, 1, 2 );

    LogoPixmap = new QLabel( this, "LogoPixmap" );
    LogoPixmap->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)5, 0, 0, LogoPixmap->sizePolicy().hasHeightForWidth() ) );
    LogoPixmap->setMinimumSize( QSize( 120, 420 ) );
    LogoPixmap->setFrameShape( QLabel::NoFrame );
    LogoPixmap->setFrameShadow( QLabel::Plain );
    LogoPixmap->setTextFormat( QLabel::PlainText );
    LogoPixmap->setScaledContents( TRUE );
    LogoPixmap->setAlignment( int( QLabel::AlignCenter ) );

    KThumbSourcePageLayout->addMultiCellWidget( LogoPixmap, 0, 1, 0, 0 );

    Frame3 = new QFrame( this, "Frame3" );
    Frame3->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, Frame3->sizePolicy().hasHeightForWidth() ) );
    Frame3->setMinimumSize( QSize( 0, 100 ) );
    Frame3->setFrameShape( QFrame::StyledPanel );
    Frame3->setFrameShadow( QFrame::Sunken );
    Frame3Layout = new QGridLayout( Frame3, 1, 1, 11, 6, "Frame3Layout"); 

    HelpText = new QLabel( Frame3, "HelpText" );
    HelpText->setFrameShape( QLabel::NoFrame );
    HelpText->setFrameShadow( QLabel::Plain );
    HelpText->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter | QLabel::AlignLeft ) );

    Frame3Layout->addWidget( HelpText, 0, 0 );

    KThumbSourcePageLayout->addWidget( Frame3, 0, 1 );
    languageChange();
    resize( QSize(703, 443).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( LoadThumbBtn, SIGNAL( toggled(bool) ), ImageListBox, SLOT( setEnabled(bool) ) );
    connect( LoadThumbBtn, SIGNAL( toggled(bool) ), AddBtn, SLOT( setEnabled(bool) ) );
    connect( LoadThumbBtn, SIGNAL( toggled(bool) ), ImageNumTxt, SLOT( setEnabled(bool) ) );
    connect( LoadThumbBtn, SIGNAL( toggled(bool) ), DeleteBtn, SLOT( setEnabled(bool) ) );

    // tab order
    setTabOrder( GenerateThumbBtn, NoThumbBtn );
    setTabOrder( NoThumbBtn, LoadThumbBtn );
    setTabOrder( LoadThumbBtn, ImageListBox );
    setTabOrder( ImageListBox, AddBtn );
    setTabOrder( AddBtn, DeleteBtn );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KThumbSourcePage::~KThumbSourcePage()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KThumbSourcePage::languageChange()
{
    setCaption( tr2i18n( "Select thumbnail page" ) );
    ButtonGroup1->setTitle( tr2i18n( "What to do with thumbnails?" ) );
    AddBtn->setText( tr2i18n( "&Add ..." ) );
    AddBtn->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    QToolTip::add( AddBtn, tr2i18n( "Add more thumbnail files to the list." ) );
    DeleteBtn->setText( tr2i18n( "&Remove" ) );
    DeleteBtn->setAccel( QKeySequence( tr2i18n( "Alt+R" ) ) );
    QToolTip::add( DeleteBtn, tr2i18n( "Remove the selected thumbnail file from the list." ) );
    ImageNumTxt->setText( tr2i18n( "0 items." ) );
    NoThumbBtn->setText( tr2i18n( "Do &not use thumbnails" ) );
    QToolTip::add( NoThumbBtn, tr2i18n( "Do not use thumbnails on the main gallery page." ) );
    GenerateThumbBtn->setText( tr2i18n( "&Generate thumbnails" ) );
    QToolTip::add( GenerateThumbBtn, tr2i18n( "Generate thumbnails of the loaded images." ) );
    LoadThumbBtn->setText( tr2i18n( "&Load thumbnails" ) );
    QToolTip::add( LoadThumbBtn, tr2i18n( "Use already generated thumbnail files." ) );
    QToolTip::add( ImageListBox, tr2i18n( "The list of the loaded thumbnails" ) );
    LogoPixmap->setText( tr2i18n( "Logo" ) );
    HelpText->setText( tr2i18n( "Select the appropiate option to generate, load or not use thumbnails in your gallery." ) );
}

#include "kthumbsourcepage.moc"
